## org.firebirdsql.jca
Class FBLocalTransaction.FBLocalXid

    java.lang.Object
      org.firebirdsql.jca.FBLocalTransaction.FBLocalXid

All Implemented Interfaces:
  Xid

Enclosing class:
  FBLocalTransaction

    public static class FBLocalTransaction.FBLocalXid

extends Object
implements Xid

Field Summary

Fields inherited from interface javax.transaction.xa.Xid
`MAXBQUALSIZE, MAXGTRIDSIZE`

Constructor Summary
`FBLocalTransaction.FBLocalXid()`

Method Summary
`byte[]` `getBranchQualifier()` Return the branch qualifier of this transaction.
`int` `getFormatId()` Return the format identifier of this transaction.
`byte[]` `getGlobalTransactionId()` Return the global transaction id of this transaction.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FBLocalTransaction.FBLocalXid

    public FBLocalTransaction.FBLocalXid()

Method Detail

### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

  Return the global transaction id of this transaction.

  Specified by:
    `getGlobalTransactionId` in interface `Xid`

### getBranchQualifier

    public byte[] getBranchQualifier()

  Return the branch qualifier of this transaction.

  Specified by:
    `getBranchQualifier` in interface `Xid`

### getFormatId

    public int getFormatId()

  Return the format identifier of this transaction. The format identifier augments the global id and specifies how the global id and branch qualifier should be interpreted.

  Specified by:
    `getFormatId` in interface `Xid`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2010. All Rights Reserved.